summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorelijah <elijah@riseup.net>2016-08-23 13:34:07 -0700
committerelijah <elijah@riseup.net>2016-08-23 13:34:28 -0700
commit05fc9658915bfbd1006d9ff8da83fd34df2c78d1 (patch)
tree58a75975e900deca8a23414d565a3489b30dbedd /bin
parentd0532dbe3463a2103ae4a0757c5168478a1ffb99 (diff)
locale improvements: allow non-english locales in node_init, enforce UTF8 locale for `puppet apply`.
Diffstat (limited to 'bin')
-rw-r--r--bin/node_init4
-rwxr-xr-xbin/puppet_command4
2 files changed, 5 insertions, 3 deletions
diff --git a/bin/node_init b/bin/node_init
index da250012..ea4c29c5 100644
--- a/bin/node_init
+++ b/bin/node_init
@@ -22,7 +22,9 @@ if ! egrep -q "$DEBIAN_VERSION" /etc/debian_version; then
exit 1
fi
mkdir -p $LEAP_DIR
-echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
+if ! grep -q -e '^en_US.UTF-8' /etc/locale.gen; then
+ echo "en_US.UTF-8 UTF-8" >> /etc/locale.gen
+fi
#
# UPDATE PACKAGES
diff --git a/bin/puppet_command b/bin/puppet_command
index a06b4940..a2876fd9 100755
--- a/bin/puppet_command
+++ b/bin/puppet_command
@@ -28,7 +28,7 @@ SUMMARY_LOG = '/var/log/leap/deploy-summary.log'
SUMMARY_LOG_1 = '/var/log/leap/deploy-summary.log.1'
APPLY_START_STR = "STARTING APPLY"
APPLY_FINISH_STR = "APPLY COMPLETE"
-
+LANG = "en_US.UTF-8"
def main
if File.read('/etc/debian_version') !~ DEBIAN_VERSION
@@ -144,7 +144,7 @@ def puppet_apply(options={}, &block)
fqdn = hiera_file['domain']['full']
domain = hiera_file['domain']['full_suffix']
Dir.chdir(PUPPET_DIRECTORY) do
- return run("FACTER_fqdn='#{fqdn}' FACTER_domain='#{domain}' #{PUPPET_BIN} apply #{custom_parameters(options)} --modulepath='#{modulepath}' #{PUPPET_PARAMETERS} #{manifest}", &block)
+ return run("LANG='#{LANG}' FACTER_fqdn='#{fqdn}' FACTER_domain='#{domain}' #{PUPPET_BIN} apply #{custom_parameters(options)} --modulepath='#{modulepath}' #{PUPPET_PARAMETERS} #{manifest}", &block)
end
end